org.apache.felix.gogo.runtime

## Class Parser.Sequence

- java.lang.Object
- - org.apache.felix.gogo.runtime.Token
  - - org.apache.felix.gogo.runtime.Parser.Executable
    - - org.apache.felix.gogo.runtime.Parser.Sequence

All Implemented Interfaces:
  CharSequence

Enclosing class:
  Parser

    public static class Parser.Sequence
    extends Parser.Executable

( program )

### Field Summary

### Fields inherited from class org.apache.felix.gogo.runtime.Token

`ch, column, length, line, start`

### Constructor Summary

Constructors
Constructor and Description
`Sequence(Token cs, Parser.Program program)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Parser.Program` `program()`

### Methods inherited from class org.apache.felix.gogo.runtime.Token

`charAt, column, eq, length, line, start, subSequence, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### Sequence

    public Sequence(Token cs,
                    Parser.Program program)

### Method Detail

#### program

    public Parser.Program program()